.solution {
  padding-top: 60px;
  text-align: center;
  background-color: white;
}

.only-mobile {
  display: block;
}

.only-tablet,
.only-desktop,
.without-mobile {
  display: none;
}

.background-F6F8FB {
  background-color: #f6f8fb;
}

.solution-hero {
  padding: 119px 20px 79px;
  display: flex;
  flex-direction: column;
  gap: 28px;
}

.solution-hero h2 {
  font-size: var(--font-title);
  font-weight: var(--font-weight-bold);
}

.solution-hero p {
  font-size: var(--font-b3);
  line-height: 1.57;
  color: #0000008c;
}

.interaction-section {
  padding: 0 20px 166px;
}

.interaction-cards {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.interaction-card {
  height: 516px;
  padding: 40px 32px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  border-radius: 45px;
  background: linear-gradient(156.85deg, #f6f8fb 13.26%, #fffcf1 97.26%);
}

.interaction-card h3 {
  font-size: var(--font-b1);
  font-weight: var(--font-weight-bold);
  margin: 30px 0 20px;
}

.interaction-card p {
  text-align: start;
  color: #6c6c6c;
  font-size: var(--font-b3);
  line-height: 1.57;
  letter-spacing: 0;
}

.chart-section {
  padding: 110px 20px;
}

.chart-section h2 {
  font-size: var(--font-title);
  font-weight: var(--font-weight-bold);
  line-height: 1.48;
  color: #6c6c6c;
  margin-bottom: 32px;
}

.chart-section strong {
  color: black;
}

.chart-section p {
  font-size: var(--font-b3);
  line-height: 1.57;
  color: #0000008c;
}

.chart-cards {
  margin-top: 112px;
  display: flex;
  flex-direction: column;
  gap: 52px;
}

.chart-card {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.chart-title {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: var(--font-b2);
  font-weight: var(--font-weight-bold);
  color: white;
  background-color: black;
  height: 66px;
  width: 100%;
  border-radius: 1000px;
}

.chart-box {
  background-color: white;
  height: 537px;
  width: 100%;
  padding: 20px 30px 40px;
  gap: 24px;
  border-radius: 16px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.chart-sub-title {
  width: 275px;
  height: 58px;
  color: white;
  background-color: #ffb700;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: var(--font-b2);
  font-weight: var(--font-weight-bold);
  border-radius: 1000px;
  position: relative;
}

.chart-sub-title span {
  color: #777777;
  font-size: var(--font-caption);
  text-align: start;
  position: absolute;
  top: 82px;
  left: 20px;
  font-weight: var(--font-weight-regular);
}

@media (min-width: 800px) {
  .only-mobile,
  .only-desktop {
    display: none;
  }

  .without-mobile,
  .only-tablet {
    display: block;
  }

  .solution-hero {
    padding: 192.5px 20px 151.5px;
    gap: 32px;
  }

  .solution-hero h2 {
    font-size: var(--font-h3);
  }

  .solution-hero p {
    font-size: var(--font-b1);
    line-height: 1.45;
  }

  .interaction-cards {
    gap: 20px;
  }

  .interaction-card {
    height: 384px;
  }

  .chart-section h2 {
    font-size: var(--font-h3);
  }

  .chart-section p {
    font-size: var(--font-b1);
    line-height: 1.45;
  }

  .chart-cards {
    padding: 0 98px;
    gap: 71px;
  }

  .chart-box {
    padding: 40px 40px 0;
    height: 603px;
  }

  .chart-cards .chart-card:first-child .chart-box {
    height: 544px;
  }

  /* 나머지는 기본 603px */
  .chart-box {
    height: 603px;
  }

  .chart-sub-title {
    width: 100%;
  }

  .chart-sub-title span {
    font-size: var(--font-b3);
    line-height: 30px;
    left: 78px;
  }
}
@media (min-width: 1280px) {
  .only-mobile,
  .only-tablet {
    display: none;
  }

  .without-mobile,
  .only-desktop {
    display: block;
  }
  .solution-inner {
    margin: 0 auto;
    max-width: 1240px;
  }

  .solution-hero {
    padding: 124.5px 20px 84.5px;
  }

  .interaction-cards {
    gap: 20px;
    flex-direction: row;
  }

  .interaction-card {
    flex: 1;
    height: 529px;
  }

  .chart-cards {
    margin-top: 32px;
    flex-direction: row;
    gap: 24px;
    padding: 0;
  }

  .chart-cards .chart-card:first-child .chart-box {
    height: 603px;
  }

  .chart-card:first-child .chart-sub-title span {
    left: -5.33px;
  }

  .chart-card:nth-child(2) .chart-sub-title span {
    left: -17.33px;
  }

  .chart-card:last-child .chart-sub-title span {
    left: -9.33px;
  }
}
